Skip to main content

Get Audience Customers

GET 

/audiences/:id/customers

Retrieves the list of customers for a specific Audience

Use this endpoint to view all recipient's email addresses and associated profile details within a particular Audience list, enabling precise audience management.

Request

Path Parameters

    id uuidrequired

    ID of the Audience

Query Parameters

    page integer

    Page number (default is 0)

    size integer

    Number of items per page (default is 20)

Responses

successful operation

Schema
    members object
    content object[]
  • Array [
  • email stringrequired
    firstName string
    lastName string
    source string
    status string

    Possible values: [Subscribed, Unsubscribed, Bounced, Inactive, Spam]

    birthday string
    tags string[]
    currency string
    country string
    province string
    city string
    address1 string
    address2 string
    phone string
    postalCode string
    company string
    lastPurchaseOrder string
    lastPurchasePrice string
    latestOrderId string
    lastPurchaseDate string
    unsubscribedAt string

    This field will be returned if the customer is Unsubscribed. It will be in the ISO 8601 format (YYYY-MM-DDTHH:mm:ssZ).

  • ]
  • totalPages integer
    last boolean
    totalElements boolean
    sort object
    sorted boolean
    unsorted boolean
    empty boolean
    first boolean
    numberOfElements integer
    size integer
    number integer
    empty boolean
Loading...